Compatible with:  IntelliJ IDEA , PhpStorm , PyCharm , RubyMine , AppCode , CLion
2 258 706
Node.js integration

Download plugin

@_legion_ The changelogs are available as a part of WebStorm release notes, e.g.
Can't find the change logs, where are they?
@jrossign We are not aware of NodeJS plugin being broken with IntelliJ 2016.2. Please file an issue in the with the details. Thanks
I think it's broken with IntelliJ 2016.2. Are you planning a fix soon ?
@facboy since this plugin is actively developed, each version brings some improvements/bugfixes.
why are there so many versions of this?
my main problem is that there is no information on how to make it run with nodejs using babel-register in a docker container. I've spent hour and hours trying various things to get it to work; but it just will not correctly pick up the inline sourcemaps. I've tried manually generating them; but that doesn't work either. This is a serious problem as more and more people are running docker containers these days - there's no way to attach to one of these with the nodejs plugin.
Not available for IntelliJ IDEA 14.1.4 now (2015-09-13), whining :(
Not sure I understand what kind of express detection mechanism you're expecting.

Feel free to file an issue in WebStorm's
issue tracker.

BTW, if executing "require('express')" throws an error, then this error will occur in console too, i.e. it isn't an issue in WebStorm.
Does not detect express, but it is installed and fully functional (Fedora 21 rpm)
@nmodin Sorry for taking so long to reply. What error message are you seeing? Could you please file an issue in the with details?

JFYI: it works for me: NodeJS plugin version 135.1141 is installable in IDEA Ultimate Edition 13.1.6. Please make sure you're using IDEA Ultimate Edition.

Hi, I'm still on IDEA 13.1.6 and it seems like the latest version of the NodeJS plugin isn't supported by this version. I get a 502 when installing from within IDEA and error message when installing plugin from disk. What is the newest version of NodeJS supported by IDEA 13.1.6 ?
@sajankumar Please make sure you're using Ultimate Edition of IntelliJ IDEA 14.0.2. NodeJS plugin 139.491 can be installed in IntelliJ IDEA 14.0.2 Ultimate Edition.
Need help, I am not able to install NodeJS plugin for 14.0.2 version of IntelliJ IDEA. In between i could not find NodeJs in "Browse Repo" either. What should i do now ?
Please  sign in  to leave a comment.